@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

:root {
    --color-magenta-700: #ff00ff;
    --color-magenta-700-10: rgba(255,0,255,0.1);
    --color-magenta-590: #CC00CC;
    --color-magenta-360: #660066;
    --fill-magenta-gradient: linear-gradient(120deg, var(--color-magenta-590) 15%, var(--color-magenta-700) 85%);
    --color-black: #000;
    --color-white: #fff;
}

html, body {
    background: var(--color-magenta-360);
    margin: 0;
    padding: 0;
    font-size: 16px;
    font-family: "Roboto", sans-serif;
    height: 70vh;
    min-height: 240px;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
}

h1, h2, h3, h4, h5, h6 {
    margin-top: 0;
    margin-bottom: 0;
    margin-left: 0;
    margin-right: 0;

    margin-block-start: 0;
    margin-block-end: 0;

    margin-inline-start: 0;
    margin-inline-end: 0;
}

.text-color-white {
    color: var(--color-white);
}

.text-color-black {
    color: var(--color-black);
}

.text-color-magenta {
    color: var(--color-magenta-700);
}


.card {
    box-sizing: border-box;
    background-color: var(--color-white);
    border-radius: 0.5rem;
    padding: 1rem;

}



.button {
    border-width: 0.125rem;
    border-style: solid;
    border-radius: 0.25rem;
    padding: 0.75rem;
    display: grid;
    grid-auto-columns: max-content;
    grid-auto-flow: column;
    gap: 0.75rem;
    font-size: 1rem;
    font-weight: bold;
    width: 100%;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    box-sizing: border-box;
}
.button svg {
    width: 100%;
    height: 100%;
}

.button--icon-and-text {
    grid-template-columns: 0.75rem max-content;

}

.button--secondary {
    border-color: var(--color-magenta-700);
    background: var(--color-white);
    color: var(--color-black);
}
.button--secondary:hover {
    background: var(--color-magenta-700-10);
}
.button--secondary:active {
    background: var(--color-magenta-700);
    color: var(--color-white);
}
.button--secondary:active svg path {
    fill: var(--color-white);
}



.signInPanel {
    display: grid;
    grid-template-columns: max-content;
    gap: 2rem;
}